| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBaseRenderStepType Class Reference
[Common Plugin Classes]

Base class for render step loaders. More...

`#include <csplugincommon/renderstep/basesteptype.h>`

Inheritance diagram for csBaseRenderStepType:

[legend]
List of all members.

## Public Member Functions
virtual bool | Initialize (iObjectRegistry *object_reg)
| Initialize the component.
## Protected Attributes
iObjectRegistry * | object_reg

## Detailed Description

Base class for render step loaders.

Definition at line 38 of file basesteptype.h.

## Member Function Documentation

virtual bool csBaseRenderStepType::Initialize | ( | iObjectRegistry * | object_reg | ) | `[virtual]`

Initialize the component.

This is automatically called by system driver at startup so that plugin can do basic initialization stuff, register with the system driver and so on.

Implements iComponent.

The documentation for this class was generated from the following file:

- csplugincommon/renderstep/basesteptype.h